Get a company by id
curl --request GET \
--url https://api-dev.rain.xyz/v1/issuing/companies/{companyId} \
--header 'Api-Key: <api-key>'import requests
url = "https://api-dev.rain.xyz/v1/issuing/companies/{companyId}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api-dev.rain.xyz/v1/issuing/companies/{companyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"line2": "<string>",
"country": "<string>"
},
"applicationStatus": "approved",
"externalId": "<string>",
"sourceKey": "<string>",
"ultimateBeneficialOwners": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationStatus": "approved",
"applicationExternalVerificationLink": {
"url": "<string>",
"params": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"applicationCompletionLink": {
"url": "<string>",
"params": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"applicationReason": "<string>"
}
],
"applicationExternalVerificationLink": {
"url": "<string>",
"params": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"applicationCompletionLink": {
"url": "<string>",
"params": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"applicationReason": "<string>"
}Companies
Get a company by id
GET
/
issuing
/
companies
/
{companyId}
Get a company by id
Authorizations
Path Parameters
Id of the company to get
Response
Successful operation
The company's unique identifier
The company's name on the Rain platform
The company's physical address
Show child attributes
Show child attributes
Available options:
approved, pending, needsInformation, needsVerification, manualReview, denied, locked, canceled An optional tenant-defined identifier for this company. Must be unique within the tenant.
Required string length:
1 - 255The source key associated with the company's team
Required string length:
1 - 24The company's ultimate beneficial owners
Show child attributes
Show child attributes
The link to the external verification page for the application
Show child attributes
Show child attributes
The link to the completion page for the application
Show child attributes
Show child attributes
The reason for the application status